Marking Camera Position

We can show camera positions, one at a time, and store them as Named Views and recall them from that list.

I am marking each one on the plan as I set it up, snapping to the Viewpoint the point of a small cone in a block also containing text to match the camera number so someone can point at that Camera position and ask “What does it look like from there?”

Is there a more efficient way to store some portion of the Camera View icon itself? Something that automatically displayed the lens length would be good. I bet a Grassshopper could do it.

You can try here, there is a component called View Plane:

http://blickfeld7.com/architecture/rhino/grasshopper/FabTools/

A Grasshopper plug-in works in Rhino?

Hello - do you need permanent geometry marking this or just a display?
Here’s a very crude python that may be part way there:

def test():
    
    x = sc.doc.NamedViews
    if x.Count > 0:
        for nv in x:
            name = nv.Name
            loc = nv.Viewport.CameraLocation
            lLength= round(nv.Viewport.Camera35mmLensLength, 2)
            targ = nv.Viewport.TargetPoint
            vecDir = (targ-loc)* .5
            strInfo = "{0}\n{1} mm".format(name,str(lLength)) 
            id1 = rs.AddTextDot(strInfo,loc)
            id2 = rs.AddLine(loc, loc + vecDir)
            rs.CurveArrows(id2, 2)
            rs.AddObjectsToGroup([id1,id2],rs.AddGroup())

test()

@djhg - I’ve added the script as a py file - if you download it and save it you can use
! _RunPythonScript

or, on a button or alias:
! _-RunPythonScript "Full path to py file inside double-quotes

MarkNamedViews.py (773 Bytes)

-Pascal

Wish I were a parseltongue and could understand tha code, but whenever the snake is ready to help, I’m ready to try it.

I’m afraid I don’t know the difference between a permanent geometry and a “display”, but what I’d like is for it to be there in 3d space marking the position, and maybe to be able to snap obejcts to it (or maybe snap it to objects.)

I’ve created the blue block in the image below, which is a cone and text identifying the position of the camera view shown above it, but it’s an extra step to insert the block and label it. It’d be great if it is created when a camera view is created, shows a little about the camera’s field of view and even more when selected, and is automatically labelled. (The way Autocad Architecture works)